System.Web 2.0.0.0 System.Configuration.ConfigurationSection

The class provides a way to programmatically access and modify the authorization section of a configuration file.

This type is part of a group that includes the , the , and the types.

The can read and write information from and to the related section of the configuration file according to the section property whose value is .

Configures a Web application authorization. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the method.

  Initializes a new instance of the class using default settings.

  2.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Specifies the collection of the properties.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("", Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.Web.Configuration.AuthorizationRuleCollection To be added.

  The collection returned by this method does not refer to any actual element in the underlying configuration file. It is a construct that allows easy access to the rules it contains. This is a common pattern for handling the elements of a configuration file.

  Gets the of rules.

  2.0.0.0